Data consistency refers to the **uniformity and coherence** of data within and across different datasets.

The following table provides a list of Data Quality rules to check data consistency:

| **ID**   | **Business Rule**                                                                                          | **Applicable for the values of the ePO property (ePO v3.1.0)**                         |
|----------|------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------|
| CON001   | Sum of award criteria weight must be 100                                                                    | `http://data.europa.eu/m8g/#weight`                                                   |
| CON002   | If a contract is awarded, the number of received tenders must be ≥ 1                                        | <dd>• Contract is awarded: `http://data.europa.eu/a4g/ontology#hasAwardStatus`  <dd>• Number of tenders: `http://data.europa.eu/a4g/ontology#hasReceivedTenders`<dd>         |
| CON003   | Number of received tenders ≥ number of received SME tenders                                                 |<dd>• Number of tenders: `http://data.europa.eu/a4g/ontology#hasReceivedTenders`                <dd>• Number of SME tenders: `http://data.europa.eu/a4g/ontology#hasReceivedSMETenders`<dd>   |
| CON004   | If winner is SME (business size), the number of received SME tenders must be ≥ 1                            | <dd>• Winner is SME: `http://data.europa.eu/a4g/ontology#hasBusinessSize` <dd>• Number of SME tenders: `http://data.europa.eu/a4g/ontology#hasReceivedSMETenders`<dd>   |
| CON005   | If winner is from an EU Member State, the number of received EU tenders must be ≥ 1                         | <dd>• Country of the Winner: `http://data.europa.eu/a4g/ontology#hasCountryCode`   <dd>• Number of EU tenders: `http://data.europa.eu/a4g/ontology#hasEUReceivedTenders`<dd>     |
| CON006   | If winner is from a non-EU Member State, the number of received non-EU tenders must be ≥ 1                  | <dd>• Country of the Winner: `http://data.europa.eu/a4g/ontology#hasCountryCode`      <dd>• Number of non-EU tenders: `http://data.europa.eu/a4g/ontology#hasReceivedNonEUTender`<dd>|
| CON007   | In case of joint procurement, more than one contracting entity (in the role of buyer) needs to be provided  | <dd>• Joint procurement: `http://data.europa.eu/a4g/ontology#isJointProcurement` <dd>• Contracting entity: `http://data.europa.eu/a4g/ontology#isContractingEntity`<dd>        |
| CON008   | At least 1 main classification (CPV code) must be aligned with the contract nature type: <dd> <dd> • 00 – 44 and 48: Goods   <dd> • 45: Works  <dd> • 49 – 98: Services                    | <dd>• Contract nature type: `http://data.europa.eu/a4g/ontology#hasContractNatureType`  <dd>• CPV: `http://data.europa.eu/a4g/ontology#hasMainClassification`<dd>                     |
| CON009   | Dispatch date is ≤ current day                                                                              | <dd>• Dispatch date: `http://data.europa.eu/a4g/ontology#hasDispatchDate`<dd>              |
| CON010   | Dispatch date of the CN < Tenders receipt deadline                                                          | <dd>• Dispatch date: `http://data.europa.eu/a4g/ontology#hasDispatchDate`          <dd>• Tenders receipt deadline: `http://data.europa.eu/a4g/ontology#hasReceiptDeadline`<dd>   |
| CON011   | Dispatch date of the CAN < = Contract conclusion date                                                         | <dd>• Dispatch date: `http://data.europa.eu/a4g/ontology#hasDispatchDate`  <dd>•  Conclusion of the contract: `http://data.europa.eu/a4g/ontology#hasContractConclusionDate`<dd> |
| CON012   | Tenders receipt deadline ≤ Dispatch date of the CAN                                                         | <dd>• Tenders receipt deadline: `http://data.europa.eu/a4g/ontology#hasReceiptDeadline`   <dd>• Dispatch date: `http://data.europa.eu/a4g/ontology#hasDispatchDate`<dd>                 |
| CON013   | If a lot has different awards, statistical information (including the number of received tenders) must be the same for all the awards of the same lot | <dd>• Contract is awarded: `http://data.europa.eu/a4g/ontology#hasAwardStatus`  <dd>• Number of tenders: `http://data.europa.eu/a4g/ontology#SubmissionStatisticalInformation` <dd> |
